
import sys
import os
import connexion

sys.path.append(os.path.join(os.path.dirname(__file__), '..'))

from src.rest import encoder

app = connexion.App(__name__, specification_dir='rest/swagger')
app.app.json_encoder = encoder.JSONEncoder
app.add_api('swagger.yaml', arguments={'title': 'AURA Engine API'}, pythonic_params=True)


def main():
    app.run(port=8008)

if __name__ == '__main__':
    main()
